Subject: bug#76180: [feature/igc] Remaining known tracing issues

From: Gerd Möllmann <[email-masked]>
Date: Tue, 11 Feb 2025 07:14:55 +0100

Pip Cet <[email-masked]> writes:

> 1. Bytecode objects violating the stack limit prosaically called
> HORRIBLE_ESTIMATE will fail to scan some of their excessively-large
> bytecode stack if interrupted by GC in execution.

The current bytecode stack design is not really my thing, TBH. But I
haven't followed what has been happening the last decades, so what do I
know.

There were times back then when I allocated byte code stacks using
alloca for each frame, which of course implies that the maximum stack
size was known at the time. (The idea behind that was to use
conservative stack marking and so on.)

Why that isn't the case now, I don't know. Or maybe I just didn't find
it. Also, I'm not sure if that is still the case, but it might be worth
checking if an overflow of the large stacks that are currently used
(500K or so) is detected.